# README
* Dataset belonging to the paper: Effect of perturbation timing on recovering whole-body angular momentum during very slow walking, submitted to: Human Movement Science

## Experiment perturbations whole body angular momentum at various instants of the gait cycle
* Experiments performed between 28-02-2022 and 09-03-2022
* 10 participants walked on the treadmill while wearing a brace around the pelvis and upper body
* Perturbations were applied simultaneous to the pelvis, upper body in opposite direction

## Equipment
* Instrumented dual-belt treadmill
* MoCap: Qualisys 8 camera
* Moog motors for perturbations

## Perturbations
* Perturbations were applied at toe of right (TOR), mid-swing (MS) and heel strike right (HSR)
* Applied with a random interval of 6-12s between the perturbations
* Back and forward pitch perturbations with a magnitude of 16% of the participant's body weight
* Each perturbation condition was repeated 10x

## Included data files
* For each datatype a separate .csv file is added.
* Details on how each outcome was obtained can be found in the original article.
* The data is normalised based on the participant's characteristics, details can also be found in the original article.
* Data is provided of each individual participant, averaged over the 10 repetitions within that participant
* Data is given of a time series normalised between the gait events: end of perturbation (EndP), toe off right (TOR), mid-swing (MS), heel strike right (HSR), toe off left (TOL) and heel strike left (HSL) and the following TOR and HSR
* For the different perturbation onsets the time series are split into the following parts:
- Pert at TOR: TOR-EndP, EndP-HSR, HSR-TOL, TOL-HSL, HSL-TOR and TOR-HSR
- Pert at MS: TOR-MS, MS-EndP, EndP-TOL, TOL-HSL, HSL-TOR and TOR-HSR
- Pert at HSR: TOR-HSR, HSR-EndP, EndP-TOL, TOL-HSL, HSL-TOR and TOR-HSR
* Each of these part of the gait cycle is resampled to 50 samples.
* For each perturbation onset the unperturbed data is resampled into the same gait part structure.
* The headers of the file indicate the participant number and perturbation condition
* The perturbation condition could be unperturbed walking (NoPert) or a perturbation with the perturbation magnitude applied to the pelvis in percentages (e.g. Pert-4 indicates that a backward perturbation of 4% of body weight was given to the pelvis and a forward 4% magnitude perturbation to the upper boddy)
* Datafiles are provided of the following measures (all in anteroposterior direction or around the mediolateral axis):
- CoMVelocity [m/s]: velocity of the body's centre of mass, corrected for treadmill walking 
- CoPPosition [m]: position of the centre of pressure with respect to the body's centre of mass
- HorizontalGRF [N]: horizontal component of the ground reaction force
- InteractionForcePelvis [N]: measured force between motor and pelvis brace
- InteractionForceUpperBody [N]: measured force between motor and upper body brace
- JointMomentAnkleL [Nm]: joint moment of the left ankle
- JointMomentAnkleR [Nm]: joint moment of the right ankle
- JointMomentHipL [Nm]: joint moment of the left hip
- JointMomentHipR [Nm]: joint moment of the right hip
- JointMomentKneeL [Nm]: joint moment of the left knee
- JointMomentKneeR [Nm]: joint moment of the right knee
- MomentArmGRF [m]: moment arm of the ground reaction force with respect to the body's centre of mass
- WholeBodyAngularMomentum [Nms]: calculated whole-body angular momentum about the body's centre of mass


